/************************************************************************************
The code is designed and produced by MDY Science and Education Co., Ltd, which has the entire ownership. It is only for personal learning, which cannot be used for commercial or profit-making purposes without permission.

    MDY's Mission: Develop Chip Talents and Realize National Chip Dream.

    We sincerely hope that our students can learn the real IC / FPGA code through our standard and rigorous code.

    For more FPGA learning materials, please visit the Forum: http://fpgabbs.com/ and official website: http://www.mdy-edu.com/index.html 

    *************************************************************************************/

module top_mdyLcdPicOverlay(
    clk       ,
    rst_n     ,
    hys       ,
    vys       ,
    lcd_de    , 
    lcd_rgb   ,
    lcd_dclk
    );

    parameter   PICTURE_W = 24  ;

    input                   clk         ;
    input                   rst_n       ;
    output                  hys         ;
    output                  vys         ;
    output                  lcd_de      ;
    output  [PICTURE_W-1:0] lcd_rgb     ;
    output                  lcd_dclk    ;
   

    wire                     clk_0      ;
    
    wire                     hys        ;
    wire                     vys        ;
    wire                     lcd_de     ;
    wire   [PICTURE_W-1:0]   lcd_rgb    ;
    wire                     lcd_dclk   ;


//40MHz
pll_40m u_pll_40m(
	    .areset     (~rst_n ),
        .inclk0     (clk    ),
	    .c0         (clk_0  )
    );


lcd_driver  u2(
   .clk          (clk_0       ),//40MHz
   .rst_n        (rst_n       ),
                          
   .hys          (hys         ),  
   .vys          (vys         ),  
   .lcd_de       (lcd_de      ),                   
   .lcd_rgb      (lcd_rgb     ), 
   .lcd_dclk     (lcd_dclk    ) 
    );

endmodule

